
Redmine - Patch #33958

Jump to end of line in editor when starting list or quote

2020-09-04 11:14 - Felix Gliesche

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.8   

Description

Currently, when using the toolbar, the cursor does not jump to the end of the line for (un)ordered lists and quotes if the line is empty.

The user therefore needs to manually move the selector. This behaviour can be improved by jumping to the end of the line when

using one of these buttons for lists / quotes. The attached patch takes care of this.
Associated revisions

Revision 20009 - 2020-09-08 08:48 - Go MAEDA

Jump to end of line for ul, ol and quote when line is empty (#33958).

Patch by Felix Gliesche.

Revision 20011 - 2020-09-10 08:24 - Go MAEDA

Merged r20009 from trunk to 4.1-stable (#33958).

Revision 20012 - 2020-09-10 08:24 - Go MAEDA

Merged r20009 from trunk to 4.0-stable (#33958).

History

#1 - 2020-09-05 07:32 - Go MAEDA

- Target version set to 4.0.8

Setting the target version to 4.0.8.

#2 - 2020-09-08 08:49 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed the patch. Thank you for your contribution.

#3 - 2020-09-10 08:24 - Go MAEDA

- Status changed from Resolved to Closed

Files

0001-Jump-to-end-of-line-for-ul-ol-and-quote-when-line-is.patch 1.05 KB 2020-09-04 Felix Gliesche

before.gif 566 KB 2020-09-04 Felix Gliesche

after.gif 533 KB 2020-09-04 Felix Gliesche
